Package org.apache.velocity.runtime.parser.node

# Class ASTMethod.MethodCacheKey

java.lang.Object
org.apache.velocity.runtime.parser.node.ASTMethod.MethodCacheKey

Enclosing class:
  `ASTMethod`

public static class ASTMethod.MethodCacheKey extends Object
Internal class used as key for method cache. Combines ASTMethod fields with array of parameter classes. Has public access (and complete constructor) for unit test purposes.

Since:
  1.5

## Constructor Summary

Constructors
Constructor
Description
`MethodCacheKey(String methodName, Class<?>[] params, boolean classObject)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodCacheKey

public MethodCacheKey(String methodName, Class<?>[] params, boolean classObject)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`
See Also:
  - `Object.hashCode()`